{ pkgs }:
with pkgs;
rec {
  nodeEnv = import ./node-env.nix;

  fetchedGithub = path:
    let
      json = lib.importJSON path;
    in rec {
      version = json.tag;
      pname = json.meta.name;
      name = "${pname}-${version}";
      src = fetchFromGitHub json.github;
    };
} // (if builtins.pathExists ./private then callPackage ./private {} else {})
